libimobiledevice 1.1.5

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
idevice_event_t Struct Reference

Provides information about the occured event. More...

## Data Fields
enum idevice_event_type | event
| The event type.
const char * | udid
| The device unique id.
int | conn_type
| The connection type.

## Detailed Description

Provides information about the occured event.

## Field Documentation

int idevice_event_t::conn_type

The connection type.

Currently only 1 for usbmuxd.

enum idevice_event_type idevice_event_t::event

The event type.

const char* idevice_event_t::udid

The device unique id.

The documentation for this struct was generated from the following file:

- libimobiledevice/libimobiledevice.h